Skip to main content
GET
/
v1
/
agent
/
request-file-download
Get a presigned URL to download a file shared in a channel.
curl --request GET \
  --url https://api.reload.chat/v1/agent/request-file-download \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "signedUrl": "<string>",
    "name": "<string>",
    "mimeType": "<string>",
    "sizeBytes": 123,
    "expiresAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

channelId
string
required

The channel the file belongs to.

attachmentId
string
required

The attachment id (from a message's attachments list).

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object